enum ResourceFile: String {
    case dockerIgnore = "docker_ignore"
    case gitIgnore = "git_ignore"
    case license
    case package
    case readme
}

// MARK: - Properties

extension ResourceFile {
    
    // MARK: Computed

    var fileName: String {
        switch self {
        case .dockerIgnore: return ".dockerignore"
        case .gitIgnore: return ".gitignore"
        case .license: return "LICENSE"
        case .readme: return "README.md"
        case .package: return "Package.swift"
        }
    }
    
}

// MARK: - CaseIterable

extension ResourceFile: CaseIterable {}
